std::extent< typename, unsigned > Struct Template Reference
Metaprogramming
Inheritance diagram for std::extent< typename, unsigned >:
[legend]

## Public Types

typedef integral_constant < std::size_t, __v > | type
typedef std::size_t | value_type

## Public Member Functions

constexpr | operator value_type ()

## Static Public Attributes

static constexpr std::size_t | value

## Detailed Description

### template<typename, unsigned = 0>
struct std::extent< typename, unsigned >

extent

Definition at line 593 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits